/**
 * Random number generator (with private seed)
 */
export declare class Random {
    private _seed;
    constructor(seed?: number);
    /**
     * Returns a pseudo-random value between 1 and 2^32 - 2.
     */
    next(): number;
    /**
     * Generates a pseudo-random floating point number in range [0, 1).
     */
    nextFloat(): number;
}
